Package org.apache.sysds.runtime.matrix.data

# Class TripleIndexes

java.lang.Object
org.apache.sysds.runtime.matrix.data.TripleIndexes

All Implemented Interfaces:
  `Serializable`, `Comparable<TripleIndexes>`, `org.apache.hadoop.io.Writable`, `org.apache.hadoop.io.WritableComparable<TripleIndexes>`

public class TripleIndexes extends Object implements org.apache.hadoop.io.WritableComparable<TripleIndexes>, Serializable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TripleIndexes.Comparator`

## Constructor Summary

Constructors
Constructor
Description
`TripleIndexes()`
`TripleIndexes(long i1, long i2, long i3)`
`TripleIndexes(TripleIndexes that)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(TripleIndexes other)`
`boolean`
`equals(Object other)`
`long`
`getFirstIndex()`
`long`
`getSecondIndex()`
`long`
`getThirdIndex()`
`int`
`hashCode()`
`void`
`readFields(DataInput in)`
`void`
`setIndexes(long i1, long i2, long i3)`
`void`
`setIndexes(TripleIndexes that)`
`String`
`toString()`
`void`
`write(DataOutput out)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TripleIndexes

public TripleIndexes()

### TripleIndexes

public TripleIndexes(long i1, long i2, long i3)

### TripleIndexes

public TripleIndexes(TripleIndexes that)

## Method Details

### setIndexes

public void setIndexes(TripleIndexes that)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getFirstIndex

public long getFirstIndex()

### getSecondIndex

public long getSecondIndex()

### getThirdIndex

public long getThirdIndex()

### setIndexes

public void setIndexes(long i1, long i2, long i3)

### readFields

public void readFields(DataInput in) throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

### write

public void write(DataOutput out) throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

### compareTo

public int compareTo(TripleIndexes other)

Specified by:
  `compareTo` in interface `Comparable<TripleIndexes>`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`